org.codehaus.groovy.transform

## Class LogASTTransformation

- java.lang.Object
- - org.codehaus.groovy.transform.LogASTTransformation

All Implemented Interfaces:
  ASTTransformation

    public class LogASTTransformation
    extends java.lang.Object
    implements ASTTransformation

This class provides an AST Transformation to add a log field to a class.

### Nested Class Summary

Nested Classes
`static class` `LogASTTransformation.AbstractLoggingStrategy`
`static interface` `LogASTTransformation.LoggingStrategy` A LoggingStrategy defines how to wire a new logger instance into an existing class.

### Constructor Summary

Constructors
Constructor and Description
`LogASTTransformation()`

### Method Summary

Methods
`void` `addError(java.lang.String msg, ASTNode expr, SourceUnit source)`
`void` `visit(ASTNode[] nodes, SourceUnit source)` The method is invoked when an AST Transformation is active.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogASTTransformation

    public LogASTTransformation()

### Method Detail

#### visit

    public void visit(ASTNode[] nodes,
             SourceUnit source)

Description copied from interface: `ASTTransformation`
The method is invoked when an AST Transformation is active. For local transformations, it is invoked once each time the local annotation is encountered. For global transformations, it is invoked once for every source unit, which is typically a source file.

Specified by:
  `visit` in interface `ASTTransformation`
Parameters:
  `nodes` - The ASTnodes when the call was triggered. Element 0 is the AnnotationNode that triggered this annotation to be activated. Element 1 is the AnnotatedNode decorated, such as a MethodNode or ClassNode. For global transformations it is usually safe to ignore this parameter.
  `source` - The source unit being compiled. The source unit may contain several classes. For global transformations, information about the AST can be retrieved from this object.

#### addError

    public void addError(java.lang.String msg,
                ASTNode expr,
                SourceUnit source)